Bug 1129780 - Send vm name and uuid via spice
Summary: Send vm name and uuid via spice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1009648
TreeView+ depends on / blocked
 
Reported: 2014-08-13 15:50 UTC by Jonathon Jongsma
Modified: 2015-07-22 06:06 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.454.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1150658 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:06:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1275 normal SHIPPED_LIVE qemu-kvm bug fix and enhancement update 2015-07-20 17:49:16 UTC

Description Jonathon Jongsma 2014-08-13 15:50:04 UTC
If the name and uuid of the running vm is sent via spice, it enables a nicer user experience:

- remote-viewer can display the name of the vm rather than the URI
- we can enable per-vm configuration ability (e.g. bug #957593)

This only requires backporting commit d0638b185c92a3fa8c82c2ef229312e9dbbd555c

Comment 1 Gerd Hoffmann 2015-02-18 13:06:32 UTC
patches posted.

Comment 2 Jeff Nelson 2015-02-24 21:33:55 UTC
Fix included in qemu-kvm-0.12.1.2-2.454.el6

Comment 4 mazhang 2015-02-27 06:36:58 UTC
Hi Gerd,

I can get the uuid in seabios, but I don't find the vm name on the window with remote-viewer connected, where can I get it, or should I open any option?

Packages version:
qemu-kvm-0.12.1.2-2.454.el6.x86_64
virt-viewer-0.6.0-11.el6.x86_64

Thanks,
Mazhang.

Comment 5 Gerd Hoffmann 2015-02-27 07:53:06 UTC
Try "Help -> Guest Details" in remote-viewer.

Comment 6 mazhang 2015-02-27 09:00:11 UTC
(In reply to Gerd Hoffmann from comment #5)
> Try "Help -> Guest Details" in remote-viewer.

Not found "Guest Details" in "Help", just "About" in it, and also no vm name.

Comment 7 Gerd Hoffmann 2015-02-27 09:11:23 UTC
Hmm, maybe rhel6 virt-viewer is too old, try connect a rhel-7 virt-viewer to the (rhel-6) spice server.

Comment 8 mazhang 2015-03-02 02:12:45 UTC
Verfiy this bug on qemu-kvm-0.12.1.2-2.454.el6.x86_64.

Host:
2.6.32-539.el6.x86_64
qemu-kvm-0.12.1.2-2.454.el6.x86_64

Client:
virt-viewer-0.6.0-12.el7.x86_64

Result:
Get vm name and uuid from "Help -> Guest Details".

This bug has been fixed.

Comment 10 errata-xmlrpc 2015-07-22 06:06:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1275.html


Note You need to log in before you can comment on or make changes to this bug.